Skip to main content

Get trace tree

GET 

/api/v1/traces/:trace_id/tree

Returns the full execution tree rooted at the given trace (or its root if the given trace is a child). Each node represents one agent's execution session. The children array contains traces triggered by sub-agent tool calls from that trace. A node's generations are listed by GET /api/v1/generations?trace_id=, and a node's direct children page by GET /api/v1/traces?parent_trace_id=.

Request​

Responses​

Trace tree rooted at the resolved root trace